#include <bits/stdc++.h>
using namespace std;

const long long MX=3e5+10;
int a[MX];
int n;

bool chk()
{
    for(int i=2;i<n;i++)
    {
        if((a[i-1]+a[i+1])<(2*a[i]))
        {
            return 0;
        }
    }

    return 1;
}

void fun()
{
    cin>>n;

    for(int i=1;i<=n;i++)
    {
        cin>>a[i];
    }

    sort(a+1,a+1+n);


    swap(a[1],a[2]);
    if(chk())
    {
        cout<<"YES\n";
        return;
    }
    swap(a[1],a[2]);

    swap(a[2],a[3]);
    if(chk())
    {
        cout<<"YES\n";
        return;
    }
    swap(a[2],a[3]);

    cout<<"NO\n";
}
int main()
{
    cin.tie(0);
    ios_base::sync_with_stdio(0);

    int t;
    cin>>t;

    while(t--)
    {
        fun();
    }

    return 0;
}